• 您好!歡迎進入深圳市華訊佳科技有限公司官網!

  • 15088181811
您當前所處位置: 首頁 > 新聞資訊 > 華為案例

Metro1000V3升級后EFSC單板還是顯示為升級前版本

發布人:華訊佳 發布時間:2021-11-02 瀏覽數:

問題描述

升級Metro1000V3設備,從5.37.02.22升級到5.37.04.12版本。其使用包加載Toolkit進行設備升級。工程師反饋升級完全按照升級指導書操作,升級使用軟件包加載后也提示成功,步驟沒有任何錯誤。當升級完成后,查詢其它單板均升級成功,只有一塊EFSC單板仍然顯示2.21版本,實際配套為2.42版本。工程師又從模擬包中提取EFSC單板軟件單獨使用Toolkit加載,升級正常后仍然顯示此EFSC依然為2.21版本。


處理過程

使用debug命令刪除ofs2上的ne.ini及單板軟件,復位單板后使用,詳細步驟如下: 
1) 使能debug命令,命令:ethn-debug-enable:enable
2) 刪除ofs2上的單板軟件及ni.ini文件,命令:
:ethn-debug:4,"test remove ofs2\hwx\ne.ini"
:ethn-debug:4,"test remove ofs2\hwx\42efs10.dlb"
3) 硬復位單板,命令::cfg-reset-board:4,hard
4) 查詢單板版本信息,命令:cfg-get-bdverinfo:4
5) 關閉debug命令:ethn-debug-enable:disable
刪除后ofs2后,EFSC顯示為2.42版本。


根因

使用模擬包Toolkit升級單板軟件,只會往ofs1上升級軟件。而返回的數據卻顯示,單板ofs2上有舊版本單板軟件,ofs1上是新版本單板軟件,說明單板軟件已經被成功升級在ofs上。實驗室對這兩套軟件進行升級測試,軟件均能正常啟動。因此現網的單板在激活后,運行的是ofs2上的單板軟件。經分析,運行ofs2上的軟件有以下幾種可能:
1) 使用命令強制運行ofs2的軟件
2) Ofs1的軟件啟動不成功,則啟動ofs2上的軟件
3) 升級前運行的軟件是ofs2上的軟件,升級激活后依然運行ofs2的軟件
對于EFSC單板,不支持命令設置啟用哪套軟件,而現網也沒有進行這樣的操作,因此第一種可能可以排除。
實驗室通過模擬升級,ofs1的軟件可以被正常升級并啟動,因此第二種可能也能被排除。
因此問題是在升級前運行的就是ofs2單板軟件,升級時新軟件雖然被成功加載在ofs1上,激活后啟動的還是ofs2上的軟件。


建議與總結

1、怎么知道網元上運行的是ofs1還是ofs2?
現網環境是無法直接獲取單板運行的是ofs1還是ofs2,需要調試線才能查出來。
2、正常情況下對于此EFSC單板是有兩套軟件還是一套軟件?
正常情況下,EFSC單板是一套軟件。
3、刪除軟件后對單板和網元有沒有其它的影響?
刪除單板軟件后,單板軟件重新啟動,期間業務會中斷一會;但對網元和單板之后的運行沒有影響!
通常情況發貨的EFSC單板只會加載軟件到ofs1,已經與生產確認本批次級少量的單板加載了兩套單板軟件,在非升級情況下不影響單板使用


午夜无码电影888不卡